Package org.snpeff.util

# Class Download

java.lang.Object
org.snpeff.util.Download

public class Download extends Object
Command line program: Build database

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_PROXY_PORT`

## Constructor Summary

Constructors
Constructor
Description
`Download()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`download(String urlString, String localFile)`
`boolean`
`download(URL url, String localFile)`
Download a file
`void`
`setDebug(boolean debug)`
`void`
`setMaskDownloadException(boolean maskDownloadException)`
`void`
`setUpdate(boolean update)`
`void`
`setVerbose(boolean verbose)`
`boolean`
`unzip(String zipFile, String mainDir, String dataDir)`
UnZIP all files
`static String`
`urlBaseName(String url)`
File name from URL (i.e.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_PROXY_PORT

public static final int DEFAULT_PROXY_PORT

See Also:
  - Constant Field Values

## Constructor Details

### Download

public Download()

## Method Details

### urlBaseName

public static String urlBaseName(String url)
File name from URL (i.e. anything after the last '/')

### download

public boolean download(String urlString, String localFile)

### download

public boolean download(URL url, String localFile)
Download a file

### setDebug

public void setDebug(boolean debug)

### setMaskDownloadException

public void setMaskDownloadException(boolean maskDownloadException)

### setUpdate

public void setUpdate(boolean update)

### setVerbose

public void setVerbose(boolean verbose)

### unzip

public boolean unzip(String zipFile, String mainDir, String dataDir)
UnZIP all files